| rtcpsu Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XRtcPsu Struct Reference
Overview

The XRtcPsu driver instance data. More...

## Data Fields
XRtcPsu_Config | RtcConfig
| Device configuration. More...
u32 | IsReady
| Device is initialized and ready. More...
u32 | PeriodicAlarmTime
| Alarm timer. More...
u8 | IsPeriodicAlarm
| Alarm Interrupt Information. More...
u32 | OscillatorFreq
| Device Oscillator Freq. More...
u32 | CalibrationValue
| Device Calibration Value. More...
XRtcPsu_Handler | Handler
| Handler Information. More...
void * | CallBackRef
| Callback reference for event handler. More...
u32 | TimeUpdated
| Time. More...
u32 | CurrTimeUpdated
| Current Time. More...

## Detailed Description

The XRtcPsu driver instance data.

The user is required to allocate a variable of this type for the RTC device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

u32 XRtcPsu::CalibrationValue

Device Calibration Value.

Referenced by RtcPsuSetCalibrationExample(), XRtcPsu_CalculateCalibration(), XRtcPsu_CfgInitialize(), and XRtcPsu_SetTime().

void* XRtcPsu::CallBackRef

Callback reference for event handler.

Referenced by XRtcPsu_InterruptHandler(), and XRtcPsu_SetHandler().

u32 XRtcPsu::CurrTimeUpdated

Current Time.

Referenced by XRtcPsu_CfgInitialize(), XRtcPsu_GetCurrentTime(), XRtcPsu_InterruptHandler(), and XRtcPsu_SetTime().

XRtcPsu_Handler XRtcPsu::Handler

Handler Information.

Referenced by XRtcPsu_CfgInitialize(), XRtcPsu_InterruptHandler(), and XRtcPsu_SetHandler().

u8 XRtcPsu::IsPeriodicAlarm

Alarm Interrupt Information.

Referenced by XRtcPsu_CfgInitialize(), XRtcPsu_InterruptHandler(), and XRtcPsu_SetAlarm().

u32 XRtcPsu::IsReady

Device is initialized and ready.

Referenced by XRtcPsu_CfgInitialize(), XRtcPsu_InterruptHandler(), XRtcPsu_SelfTest(), XRtcPsu_SetAlarm(), and XRtcPsu_SetHandler().

u32 XRtcPsu::OscillatorFreq

Device Oscillator Freq.

Referenced by RtcPsuSetCalibrationExample(), XRtcPsu_CalculateCalibration(), and XRtcPsu_CfgInitialize().

u32 XRtcPsu::PeriodicAlarmTime

Alarm timer.

Referenced by XRtcPsu_InterruptHandler(), and XRtcPsu_SetAlarm().

XRtcPsu_Config XRtcPsu::RtcConfig

Device configuration.

Referenced by XRtcPsu_CfgInitialize(), XRtcPsu_ClearInterruptMask(), XRtcPsu_GetCurrentTime(), XRtcPsu_InterruptHandler(), XRtcPsu_IsAlarmEventGenerated(), XRtcPsu_IsSecondsEventGenerated(), XRtcPsu_SelfTest(), XRtcPsu_SetAlarm(), XRtcPsu_SetInterruptMask(), and XRtcPsu_SetTime().

u32 XRtcPsu::TimeUpdated

Time.

Referenced by XRtcPsu_CfgInitialize(), XRtcPsu_GetCurrentTime(), XRtcPsu_InterruptHandler(), and XRtcPsu_SetTime().